Package javassist.bytecode

# Class SignatureAttribute.ClassType

java.lang.Object
javassist.bytecode.SignatureAttribute.Type
javassist.bytecode.SignatureAttribute.ObjectType
javassist.bytecode.SignatureAttribute.ClassType

Direct Known Subclasses:
  `SignatureAttribute.NestedClassType`

Enclosing class:
  `SignatureAttribute`

public static class SignatureAttribute.ClassType extends SignatureAttribute.ObjectType
Class types.

## Field Summary

Fields
Modifier and Type
Field
Description
`static SignatureAttribute.ClassType`
`OBJECT`
A class type representing `java.lang.Object`.

## Constructor Summary

Constructors
Constructor
Description
`ClassType(String className)`
Constructs a `ClassType`.
`ClassType(String className, SignatureAttribute.TypeArgument[] args)`
Constructs a `ClassType`.

## Method Summary

Modifier and Type
Method
Description
`SignatureAttribute.ClassType`
`getDeclaringClass()`
If this class is a member of another class, returns the class in which this class is declared.
`String`
`getName()`
Returns the class name.
`SignatureAttribute.TypeArgument[]`
`getTypeArguments()`
Returns the type arguments.
`String`
`jvmTypeName()`
Returns the type name in the JVM internal style.
`String`
`toString()`
Returns the string representation.

### Methods inherited from class javassist.bytecode.SignatureAttribute.ObjectType

`encode`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### OBJECT

public static SignatureAttribute.ClassType OBJECT
A class type representing `java.lang.Object`.

## Constructor Details

### ClassType

public ClassType(String className, SignatureAttribute.TypeArgument[] args)
Constructs a `ClassType`. It represents the name of a non-nested class.

Parameters:
  `className` - a fully qualified class name.
  `args` - type arguments or null.

### ClassType

public ClassType(String className)
Constructs a `ClassType`. It represents the name of a non-nested class.

Parameters:
  `className` - a fully qualified class name.

## Method Details

### getName

public String getName()
Returns the class name.

### getTypeArguments

public SignatureAttribute.TypeArgument[] getTypeArguments()
Returns the type arguments.

Returns:
  null if no type arguments are given to this class.

### getDeclaringClass

public SignatureAttribute.ClassType getDeclaringClass()
If this class is a member of another class, returns the class in which this class is declared.

Returns:
  null if this class is not a member of another class.

### toString

public String toString()
Returns the string representation.

Overrides:
  `toString` in class `Object`

### jvmTypeName

public String jvmTypeName()
Returns the type name in the JVM internal style. For example, if the type is a nested class `foo.Bar.Baz`, then `foo.Bar$Baz` is returned.

Overrides:
  `jvmTypeName` in class `SignatureAttribute.Type`